
%{!?__pear:         %{expand: %%global __pear %{_bindir}/pear}}

# Needed for openSUSE
%if 0%{?suse_version}
%global php php5
%{!?pear_cfgdir:    %global pear_cfgdir %(%{__pear} config-get cfg_dir  2> /dev/null || echo undefined)}
%{!?pear_datadir:   %global pear_datadir %(%{__pear} config-get data_dir 2> /dev/null || echo undefined)}
%{!?pear_docdir:    %global pear_docdir %(%{__pear} config-get doc_dir  2> /dev/null || echo undefined)}
%{!?pear_metadir:   %global pear_metadir %(%{__pear} config-get metadata_dir 2> /dev/null || echo undefined)}
%{!?pear_phpdir:    %global pear_phpdir %(%{__pear} config-get php_dir  2> /dev/null || echo undefined)}
%{!?pear_testdir:   %global pear_testdir %(%{__pear} config-get test_dir 2> /dev/null || echo undefined)}
%{!?pear_wwwdir:    %global pear_wwwdir %(%{__pear} config-get www_dir  2> /dev/null || echo undefined)}
%{!?pear_xmldir:    %global pear_xmldir %{_localstatedir}/lib/pear/pkgxml}
%else
%global php php
%endif

%global pear_name Net_LDAP3

# Not yet an actual PEAR package ...
Name:               php-roundcube-rtf-html
Version:            2.1
Release:            1.7%{?dist}.kolab_16
Summary:            A RTF to HTML converter in PHP
Group:              Development/Libraries
License:            GPLv2
URL:                https://kolab.org

Source0:            %{name}-%{version}.tar.gz

BuildRoot:          %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:          noarch

Requires:           php-iconv
Requires:           php-mbstring

%description
A RTF to HTML converter in PHP

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_datadir}/%{php}
cp -a src/ %{buildroot}/%{_datadir}/%{php}/RtfHtmlPhp

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.md LICENSE README.md
%if 0%{?suse_version}
%dir %{_datadir}/%{php}
%endif
%dir %{_datadir}/%{php}/RtfHtmlPhp
%{_datadir}/%{php}/RtfHtmlPhp/*.php
%dir %{_datadir}/%{php}/RtfHtmlPhp/Html
%{_datadir}/%{php}/RtfHtmlPhp/Html/*.php

%changelog
* Wed Nov 17 2021 Jeroen van Meeuwen (Apheleia IT) <vanmeeuwen@apheleia-it.ch> - 2.1-1
- Release of version 2.1
